import type { Meta, StoryObj } from '@storybook/vue3';
import Button from "../../components/actions/ButtonComponent.vue"

// More on how to set up stories at: https://storybook.js.org/docs/writing-stories
const meta = {
  title: 'Actions/Buttons',
  component: Button,
  parameters: {
    slots: {
      default: "Button",
    },
  },
  // This component will have an automatically generated docsPage entry: https://storybook.js.org/docs/writing-docs/autodocs
  tags: ['autodocs'],
  argTypes: {
    outlined: { control: 'boolean' },
    active: { control: 'boolean' },
    loading: { control: 'boolean' },
    size: { control: 'select', options: ['wide', 'tiny', 'small', 'large'] },
    shape: {control: 'select', options: ['square', 'circle']},
    type: {
      control: 'select',
      options: ['neutral', 'primary', 'secondary', 'accent', 'ghost', 'link', 'info', 'success', 'warning', 'error']
    },
  },

  args: {

    // primary: false,
    // Use `fn` to spy on the onClick arg, which will appear in the actions panel once invoked: https://storybook.js.org/docs/essentials/actions#action-args
    // onClick: fn(),
  },
} satisfies Meta<typeof Button>;

export default meta;
type Story = StoryObj<typeof meta>;
/*
 *👇 Render functions are a framework specific feature to allow you control on how the component renders.
 * See https://storybook.js.org/docs/api/csf
 * to learn how to use render functions.
 */
export const Primary: Story = {
    args: {
      type: 'primary',
      default: 'Button',
    },
  };