import Swap from '../../components/actions/swap.vue'; // Adjust the path as per your setup
import { Meta, StoryFn } from '@storybook/vue3';

export default {
  title: 'Actions/Swap',
  component: Swap,
  tags: ['autodocs'], // Include autodocs tag
  argTypes: {
    effect: {
      control: 'select',
      options: ['rotate', 'flip'],
      description: 'The effect applied to the swap component.',
    },
  },
} as Meta<typeof Swap>;

const Template: StoryFn<typeof Swap> = (args, { slots }) => ({
  components: { Swap },
  setup() {
    return { args, slots };
  },
  template: `
    <Swap v-bind="args">
      <template #on>
        <div class="text-green-500 font-bold">On</div>
      </template>
      <template #off>
        <div class="text-red-500 font-bold">Off</div>
      </template>
    </Swap>
  `,
});

export const Default = Template.bind({});
Default.args = {
  effect: 'rotate',
};
Default.parameters = {
  docs: {
    description: {
      component: 'A swap component with optional effects and customizable slots for "on" and "off" states.',
    },
  },
};

export const FlipEffect = Template.bind({});
FlipEffect.args = {
  effect: 'flip',
};
FlipEffect.parameters = {
  docs: {
    description: {
      story: 'This variant applies the "flip" effect to the swap component.',
    },
  },
};
