import ThemeSwitcher from '../../components/actions/theme-controller.vue'; // Adjust the path as per your setup
import { Meta, StoryFn } from '@storybook/vue3';

export default {
  title: 'Actions/ThemeSwitcher',
  component: ThemeSwitcher,
  tags: ['autodocs'], // Include autodocs tag
  argTypes: {
    darkTheme: {
      control: 'text',
      description: "Define the name of your dark theme here",
    },
    lightTheme: {
      control: 'text',
      description: "Define the name of your light theme here",
    }
  },
} as Meta<typeof ThemeSwitcher>;

const Template: StoryFn<typeof ThemeSwitcher> = (args) => ({
  components: { ThemeSwitcher },
  setup() {
    return { args };
  },
  template: `
    <ThemeSwitcher v-bind="args" />
  `,
});

export const Default = Template.bind({});
Default.args = {
  darkTheme: 'reserveren-dark',
  lightTheme: 'reserveren-light',
};
Default.parameters = {
  docs: {
    description: {
      component: 'A theme switcher component that toggles between light and dark themes with localStorage support.',
    },
  },
};
