import type { Meta, StoryObj } from '@storybook/vue3';
import Accordion from '../../components/data-display/accordion.vue'

// More on how to set up stories at: https://storybook.js.org/docs/writing-stories
const meta = {
    title: 'Data Display/Accordion',
    component: Accordion,
    parameters: {
        slots: {
        },
    },
    // This component will have an automatically generated docsPage entry: https://storybook.js.org/docs/writing-docs/autodocs
    tags: ['autodocs'],
    argTypes: {
        name: {control: "text", type: "string"},
        items: {control: "object"},
        joinItems: {control: "boolean", description: "Glue every item together or seperate every item."},
        icon: {control: "radio", options: ["arrow", "plus"]}
    },

    args: {
        joinItems: false,
        items: [
            {
                title: "item 1",
                content: "this is some text you can adjust with a wysiwyg editor or just in plain text",
            },
            {
                title: "item 2",
                content: "this is also some text you can adjust with a <strong>wysiwyg</strong> editor or just in plain text/html",
            }
        ],
    },
} satisfies Meta<typeof Accordion>;

export default meta;
type Story = StoryObj<typeof meta>;
/*
 *👇 Render functions are a framework specific feature to allow you control on how the component renders.
 * See https://storybook.js.org/docs/api/csf
 * to learn how to use render functions.
 */
export const Primary: Story = {
    args: {
        name: "demo-accordion",
        joinItems: false,
        icon: "plus",
    },
};