import Footer from '../../components/layout/footer.vue'; // Adjust the path as per your setup
import { Meta, StoryFn } from '@storybook/vue3';

export default {
  title: 'Layout/Footer',
  component: Footer,
  tags: ['autodocs'], // Include autodocs tag
  argTypes: {
    items: {
      control: 'object',
      description: 'List of footer navigation sections with items.',
    },
  },
} as Meta<typeof Footer>;

const Template: StoryFn<typeof Footer> = (args) => ({
  components: { Footer },
  setup() {
    return { args };
  },
  template: `
    <Footer v-bind="args">
      <template #default>
        <div class="text-center mt-10">Custom footer content here</div>
      </template>
    </Footer>
  `,
});

export const Default = Template.bind({});
Default.args = {
  items: [
    {
      title: 'Company',
      items: [
        { text: 'About Us', link: '/about-us', enabled: true },
        { text: 'Careers', link: '/careers', enabled: true },
        { text: 'Contact', link: '/contact', enabled: false }, // Disabled link
      ],
    },
    {
      title: 'Support',
      items: [
        { text: 'FAQ', link: '/faq', enabled: true },
        { text: 'Help Center', link: '/help', enabled: true },
      ],
    },
    {
      title: 'Social',
      items: [
        { text: 'Facebook', link: '/facebook', enabled: true },
        { text: 'Twitter', link: '/twitter', enabled: true },
      ],
    },
  ],
};
Default.parameters = {
  docs: {
    description: {
      component: 'A footer component that supports multiple navigation sections and customizable content.',
    },
  },
};
